<?xml version="1.0" encoding="UTF-8"?>
<component name="DzLib" extends="dzBase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="https://devtools.web.roku.com/schema/RokuSceneGraph.xsd">

	<script type="text/brightscript" uri="pkg:/components/DzLib/dz_adapter_roku_native/native.brs" />
	
	<interface>
        <field id="libConfiguration" type="assocarray"/>
        <field id="playerInit" type="assocarray"/>
        <field id="generateDatazoomEvent" type="boolean" alwaysNotify="true" onchange="generateDatazoomEvent" />
		<field id="setDatazoomMetadata" type="boolean" alwaysNotify="true" onchange="setDatazoomMetadata" />
		<field id="getDatazoomMetadata" type="boolean" alwaysNotify="true" onchange="getDatazoomMetadata" />
        <field id="customEvent" type="string"/>
        <field id="customEventMeta" type="assocarray"/>
        <field id="customMetaKey" type="string"/>
        <field id="customMetaValue" type="string"/>
        <field id="customMetadata" type="assocarray"/>
        <field id="milesPercent" type="float"/>
		<field id="events" type="assocarray"/>
		<field id="events_v3" type="array"/>
		<field id="settings" type="assocarray"/>
		<field id="initiateCollector" type="boolean" alwaysNotify="true" onchange="initiateCollector" />
		<field id="initiatePlayer" type="boolean" alwaysNotify="true" onchange="initiatePlayer" />
<!-- 		<field id="sendAdEvent" type="boolean" alwaysNotify="true" onchange="sendAdEvent" /> -->
		<field id="connectionSuccess" type="boolean" alwaysNotify="true"/>
		<function name="generateDatazoomEvent" />
        <function name="setDatazoomMetadata" />
        <function name="setDZSessionMeta" />
        <function name="setDZPlayerMeta" />
        <function name="getDatazoomMetadata" />
        <function name="getDZSessionMeta" />
        <function name="getDZPlayerMeta" />
        <function name="rmDZSessionMeta" />
        <function name="rmDZPlayerMeta" />
        <function name="generateAdEvent" />
        <function name="deInit" />
    </interface>

	<children>
			<Timer id="playbackTimerContent" repeat="true" duration="1"/>
			<Timer id="dataTimer" repeat="true" duration="2"/>
			<Timer id="playStateTimer" repeat="true" duration="1"/>
	</children>

</component>
